﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1102B: (1 year) VER VISA /5500A+SC600
DATE:                  2018-08-02 15:20:52
AUTHOR:                Fluke
REVISION:              $Revision: 25082 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       157
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000B Series
#          TBS1032B, TBS1052B, TBS1072B, TBS1102B, TBS1152B
#		   TBS1202B.
#      TBS1000B-EDU Series
#          TBS1052B-EDU, TBS1072B-EDU, TBS1102B-EDU,
#		   TBS1152B-EDU, TBS1202B-EDU
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5500         60MH                         1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                                     V

  1.005  IF           NOT(VERSIONCHECK("8.0"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.012  DISP         Ensure a minimum DUT warm-up time of at least
  1.012  DISP         10 minutes has been allowed to elapse, prior
  1.012  DISP         to beginning verification.

  1.013  HEAD         COMMUNICATION SETUP
  1.014  TARGET
  1.015  CALL         Sub Tek TBS1000B USB Remote Interface Connection
  1.016  VISA         *RST

  1.017  HEAD         DUT IDENTIFICATION
  1.018  MATH         @DUT_Model = "TBS 1102B"
  1.019  MATH         @DUT_Manufacturer = "Tektronix"
  1.020  CALL         Sub IEEE-488.2 *IDN? VISA
  1.021  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.022  JMPL         END                          @Abort

  1.023  CALL         Sub Tek TBS1000B/1000B-EDU Specifications

  1.024  HEAD         EQUIPMENT REQUIREMENTS
  1.025  OPBR         -z Do you want to review the list of additional
  1.025  OPBR         equipment and/or accessories required?

  1.026  IF           MEM1
  1.027  CALL         Sub Tek TBS1000B/1000B-EDU VER Required Equipment /5500
  1.028  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.029  CALL         Sub Tek TBS1000B/1000B-EDU Self-Test VISA
  1.030  JMPL         END                          @Abort
  1.031  CALL         Sub Tek TBS1000B/1000B-EDU Sig Path Comp Cal VISA
  1.032  JMPL         END                          @Abort

  1.033  MATH         @Chan = 1
  1.034  CALL         Sub TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /5500+S6
  1.035  JMPL         VERTICAL_POSITION_CH1

  1.036  LABEL        DCV_CH2
  1.037  MATH         @Chan = 2
  1.038  CALL         Sub TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /5500+S6
  1.039  JMPL         VERTICAL_POSITION_CH2

  1.040  LABEL        BANDWIDTH_CH1
  1.041  MATH         @Chan = 1
  1.042  CALL         Sub TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /5500+S6
  1.043  JMPL         TRIG_CH1

  1.044  LABEL        BANDWIDTH_CH2
  1.045  MATH         @Chan = 2
  1.046  CALL         Sub TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /5500+S6
  1.047  JMPL         TRIG_CH2

  1.048  LABEL        TRIG_CH1
  1.049  MATH         @Chan = 1
  1.050  CALL         Sub TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /5500+S6
  1.051  JMPL         SAMPLE_RATE_DELAY_TIME

  1.052  LABEL        TRIG_CH2
  1.053  MATH         @Chan = 2
  1.054  CALL         Sub TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /5500+S6

  1.055  MATH         @Chan = 1
  1.056  CALL         Sub TBS1000B/1000B-EDU (1 yr) ExTrig Sens VISA /5500+S6

  1.057  MATH         @Chan = 2
  1.058  CALL         Sub TBS1000B/1000B-EDU (1 yr) ExTrig Sens VISA /5500+S6
  1.059  JMPL         END

  1.060  LABEL        SAMPLE_RATE_DELAY_TIME
  1.061  MATH         @Chan = 1
  1.062  CALL         Sub TBS1000B/1000B-EDU (1 yr) Sample Rate VISA /5500+S6
  1.063  JMPL         BANDWIDTH_CH2

  1.064  LABEL        VERTICAL_POSITION_CH1
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub Tek TBS1000B (1 yr) Vertical Pos VISA /5500+S6
  1.067  JMPL         DCV_CH2

  1.068  LABEL        VERTICAL_POSITION_CH2
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub Tek TBS1000B (1 yr) Vertical Pos VISA /5500+S6
  1.071  JMPL         BANDWIDTH_CH1

  1.072  LABEL        END

  1.073  IF           @Abort
  1.074  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.075  ENDIF

  1.076  VISA         *RST
  1.077  END
